diff -ur ircd-hybrid/contrib/m_flags.c nocallerid/contrib/m_flags.c
--- ircd-hybrid/contrib/m_flags.c	Sat Oct  4 12:31:13 2003
+++ nocallerid/contrib/m_flags.c	Fri Oct 24 20:42:26 2003
@@ -125,13 +125,10 @@
     /* Not in CS, but we might as well put it here */
   { "INVISIBLE",	UMODE_INVISIBLE,	0 },
   { "BOTS",		UMODE_BOTS,		1 },
-  { "CALLERID",		UMODE_CALLERID,		0 },
   { "UNAUTH",		UMODE_UNAUTH,		1 },
   { "DEBUG",		UMODE_DEBUG,		1 },
   { NULL,		0,			0 }
 };
-
-/* We won't control CALLERID or INVISIBLE in here */
 
 #define FL_ALL_USER_FLAGS (UMODE_WALLOP | UMODE_SKILL | UMODE_SERVNOTICE )
 
diff -ur ircd-hybrid/doc/modes.txt nocallerid/doc/modes.txt
--- ircd-hybrid/doc/modes.txt	Sat May 24 21:07:19 2003
+++ nocallerid/doc/modes.txt	Fri Oct 24 20:42:17 2003
@@ -18,7 +18,6 @@
 +c - cconn      - Client connection/quit notices
 +d - debug      - See debugging notices
 +f - full       - See I: line full notices
-+g - callerid   - Server Side Ignore (see modeg.txt)
 +i - invisible  - Not shown in NAMES or WHO unless you share a
                   a channel
 +k - skill      - See server generated KILL messages
diff -ur ircd-hybrid/etc/example.conf nocallerid/etc/example.conf
--- ircd-hybrid/etc/example.conf	Sun Oct 12 19:15:22 2003
+++ nocallerid/etc/example.conf	Fri Oct 24 20:42:33 2003
@@ -849,7 +849,6 @@
 	 * +c - cconn      - Client connection/quit notices
 	 * +d - debug      - See debugging notices
 	 * +f - full       - See I: line full notices
-	 * +g - callerid   - Server Side Ignore
 	 * +i - invisible  - Not shown in NAMES or WHO unless you share a 
 	 *                   a channel
 	 * +k - skill      - See server generated KILL messages
diff -ur ircd-hybrid/etc/example.efnet.conf nocallerid/etc/example.efnet.conf
--- ircd-hybrid/etc/example.efnet.conf	Sun Oct 12 19:15:22 2003
+++ nocallerid/etc/example.efnet.conf	Fri Oct 24 20:42:40 2003
@@ -910,7 +910,6 @@
 	 * +c - cconn      - Client connection/quit notices
 	 * +d - debug      - See debugging notices
 	 * +f - full       - See I: line full notices
-	 * +g - callerid   - Server Side Ignore (for privmsgs etc)
 	 * +i - invisible  - Not shown in NAMES or WHO unless you share a 
 	 *                   a channel
 	 * +k - skill      - See server generated KILL messages
diff -ur ircd-hybrid/include/client.h nocallerid/include/client.h
--- ircd-hybrid/include/client.h	Thu Oct 16 16:13:46 2003
+++ nocallerid/include/client.h	Fri Oct 24 20:40:44 2003
@@ -388,9 +388,8 @@
 #define UMODE_INVISIBLE    0x00400 /* makes user invisible */
 #define UMODE_BOTS         0x00800 /* shows bots */
 #define UMODE_EXTERNAL     0x01000 /* show servers introduced and splitting */
-#define UMODE_CALLERID     0x02000 /* block unless caller id's */
-#define UMODE_UNAUTH       0x04000 /* show unauth connects here */
-#define UMODE_LOCOPS       0x08000 /* show locops */
+#define UMODE_UNAUTH       0x02000 /* show unauth connects here */
+#define UMODE_LOCOPS       0x04000 /* show locops */
 
 /* user information flags, only settable by remote mode or local oper */
 #define UMODE_OPER         0x10000 /* Operator */
@@ -403,7 +402,7 @@
                       UMODE_REJ | UMODE_SKILL | UMODE_FULL | UMODE_SPY | \
                       UMODE_NCHANGE | UMODE_OPERWALL | UMODE_DEBUG | \
                       UMODE_BOTS | UMODE_EXTERNAL | UMODE_LOCOPS | \
-                      UMODE_ADMIN | UMODE_UNAUTH | UMODE_CALLERID)
+                      UMODE_ADMIN | UMODE_UNAUTH)
 
 
 /* oper priv flags */
@@ -464,7 +463,6 @@
 /* umode flags */
 #define IsInvisible(x)          ((x)->umodes & UMODE_INVISIBLE)
 #define SendWallops(x)          ((x)->umodes & UMODE_WALLOP)
-#define IsSetCallerId(x)	((x)->umodes & UMODE_CALLERID)
 
 #define SetSendQExceeded(x)	((x)->flags |= FLAGS_SENDQEX)
 #define IsSendQExceeded(x)	((x)->flags &  FLAGS_SENDQEX)
diff -ur ircd-hybrid/include/supported.h nocallerid/include/supported.h
--- ircd-hybrid/include/supported.h	Sat Sep 27 19:16:03 2003
+++ nocallerid/include/supported.h	Fri Oct 24 20:41:13 2003
@@ -53,7 +53,7 @@
 		  " CHANMODES=%s%s%s" \
 		  " NETWORK=%s"       \
 		  " CASEMAPPING=%s"   \
-		  " CALLERID%s"
+		  " %s"
 
 #define FEATURES2VALUES ConfigChannel.disable_local_channels ? "#" : "#&", \
                         "(ov)@+", \
diff -ur ircd-hybrid/modules/core/m_message.c nocallerid/modules/core/m_message.c
--- ircd-hybrid/modules/core/m_message.c	Tue Oct 21 15:49:46 2003
+++ nocallerid/modules/core/m_message.c	Fri Oct 24 20:42:04 2003
@@ -580,60 +580,6 @@
     sendto_one(source_p, form_str(RPL_AWAY), me.name,
                source_p->name, target_p->name, target_p->user->away);
 
-  if (MyClient(target_p))
-  {
-    if (!IsServer(source_p) && IsSetCallerId(target_p))
-    {
-      /* Here is the anti-flood bot/spambot code -db */
-      if (accept_message(source_p, target_p))
-      {
-        sendto_one(target_p, ":%s!%s@%s %s %s :%s",
-                   source_p->name, source_p->username,
-                   source_p->host, command, target_p->name, text);
-      }
-      else
-      {
-        /* check for accept, flag recipient incoming message */
-        if (p_or_n != NOTICE)
-          sendto_anywhere(source_p, target_p,
-                          "NOTICE %s :*** I'm in +g mode (server side ignore).",
-                          source_p->name);
-
-        if ((target_p->localClient->last_caller_id_time +
-             ConfigFileEntry.caller_id_wait) < CurrentTime)
-        {
-          if (p_or_n != NOTICE)
-            sendto_anywhere(source_p, target_p,
-                            "NOTICE %s :*** I've been informed you messaged me.",
-                            source_p->name);
-
-          sendto_one(target_p, form_str(RPL_ISMESSAGING),
-                     me.name, target_p->name,
-                     get_client_name(source_p, HIDE_IP));
-
-          target_p->localClient->last_caller_id_time = CurrentTime;
-
-        }
-        /* Only so opers can watch for floods */
-        flood_attack_client(p_or_n, source_p, target_p);
-      }
-    }
-    else
-    {
-      /* If the client is remote, we dont perform a special check for
-       * flooding.. as we wouldnt block their message anyway.. this means
-       * we dont give warnings.. we then check if theyre opered 
-       * (to avoid flood warnings), lastly if theyre our client
-       * and flooding    -- fl */
-      if (!MyClient(source_p) || IsOper(source_p) ||
-          (MyClient(source_p) &&
-           !flood_attack_client(p_or_n, source_p, target_p)))
-        sendto_anywhere(target_p, source_p, "%s %s :%s",
-                        command, target_p->name, text);
-    }
-  }
-  else
-    /* The target is a remote user.. same things apply  -- fl */
   if (!MyClient(source_p) || IsOper(source_p) ||
         (MyClient(source_p)
            && !flood_attack_client(p_or_n, source_p, target_p)))
diff -ur ircd-hybrid/src/ircd_lexer.l nocallerid/src/ircd_lexer.l
--- ircd-hybrid/src/ircd_lexer.l	Sat Oct  4 12:31:19 2003
+++ nocallerid/src/ircd_lexer.l	Fri Oct 24 20:39:44 2003
@@ -331,7 +331,6 @@
 servnotice              { return T_SERVNOTICE; }
 invisible               { return T_INVISIBLE; }
 wallop                  { return T_WALLOP; }
-callerid                { return T_CALLERID; }
 drone                   { return T_DRONE; }
 locops                  { return T_LOCOPS; }
 
diff -ur ircd-hybrid/src/ircd_parser.y nocallerid/src/ircd_parser.y
--- ircd-hybrid/src/ircd_parser.y	Sat Oct  4 12:31:19 2003
+++ nocallerid/src/ircd_parser.y	Fri Oct 24 20:40:25 2003
@@ -293,7 +293,6 @@
 %token  TWODOTS
 %token  T_ALL
 %token  T_BOTS
-%token  T_CALLERID
 %token  T_CCONN
 %token  T_CLIENT_FLOOD
 %token  T_DEBUG
@@ -2796,10 +2795,6 @@
 {
   if (ypass == 2)
     ConfigFileEntry.oper_umodes |= UMODE_WALLOP;
-} | T_CALLERID
-{
-  if (ypass == 2)
-    ConfigFileEntry.oper_umodes |= UMODE_CALLERID;
 } | T_LOCOPS
 {
   if (ypass == 2)
@@ -2869,10 +2864,6 @@
 {
   if (ypass == 2)
     ConfigFileEntry.oper_only_umodes |= UMODE_WALLOP;
-} | T_CALLERID
-{
-  if (ypass == 2)
-    ConfigFileEntry.oper_only_umodes |= UMODE_CALLERID;
 } | T_LOCOPS
 {
   if (ypass == 2)
diff -ur ircd-hybrid/src/s_user.c nocallerid/src/s_user.c
--- ircd-hybrid/src/s_user.c	Fri Oct 24 04:59:36 2003
+++ nocallerid/src/s_user.c	Fri Oct 24 20:41:03 2003
@@ -77,7 +77,6 @@
   { UMODE_CCONN,      'c' },
   { UMODE_DEBUG,      'd' },
   { UMODE_FULL,       'f' },
-  { UMODE_CALLERID,   'g' },
   { UMODE_INVISIBLE,  'i' },
   { UMODE_SKILL,      'k' },
   { UMODE_LOCOPS,     'l' },
@@ -135,7 +134,7 @@
   UMODE_DEBUG,      /* d */
   0,                /* e */
   UMODE_FULL,       /* f */
-  UMODE_CALLERID,   /* g */
+  0,		    /* g */
   0,                /* h */
   UMODE_INVISIBLE,  /* i */
   0,                /* j */
